/** 转办按钮 */


var angular = require('angular'),
  _ = require('jsUtil');
require('../modules');
require('../services/DefaultWorkflowService');

var module = angular.module('flowmodulebutton.directives');

/**
  <sino-flow-transfer-button
    flow-type=""
    record-id=""
    title=""
    show="" 默认 false
    before-valid-send=""  是否可以发送 默认true
    valid-error-text="" 验证失败的提示
   ></sino-flow-transfer-button>
 */
module.directive('sinoFlowTransferButton', function(DefaultWorkflowService) {
  
  return {
    restrict: 'E',
    require: '^sinoFlowButtonBar',
    template: '<sino-flow-base-send-button button-id="transfer" transferflag="1"></sino-flow-base-send-button>',
    replace: true
  };
});
